<template>
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="150px" label-position="right" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="myTabClick">
        
            <!--PD000103 -->
           <!-- <el-tab-pane label="PD000103" name="infsea">
                <m-infsea :model="model" :codes="codes"/>
           </el-tab-pane> -->

           <c-content>
               <m-infsea :model="model" :codes="codes" ref="infsea" />
           </c-content>

       </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Infgcd from "~/model/Infgcd"
import commonProcess from "~/mixin/commonProcess"
import Check from "~/model/Infgcd/Check"
import Default from "~/model/Infgcd/Default"
import Pattern from "~/model/Infgcd/Pattern"
import Infsea from "./Infsea"


export default {
    name: "Infgcd",
    components:{
        "m-infsea" : Infsea,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [commonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "",
            trnName: "infgcd",
            model: new Infgcd().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes: {
                ...CodeTable
            },
        }
    },
    methods:{
        myTabClick(tab){
            this.tabClick(tab)
            /**
            *  do it yourself
            **/
        }
    },
    created:async function(){
        console.log("进入infgcd交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           this.updateModel(rtnmsg.data)
           //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
